
/************************************************
 * NAME	    : rtc.h
 * Version  : 9.8.2013
 * 
 * common stuff for SAMSUNG Exynos5 SoC
 ************************************************/

/*! by crazyboy 20130809
 *  RTC Header File
 */
#ifndef __ASM_ARM_ARCH_RTC_H_
#define __ASM_ARM_ARCH_RTC_H_

#include <asm/arch/cpu.h>

struct exynos5_rtc {
    u16  rtccon;
    u8  res0[3];
    u16  ticnt;
    u8  res1[8];
    u8  rtcalm;
    u8  res4[3];
    u8  almsec;
    u8  res5[3];
    u8  almmin;
    u8  res6[3];
    u8  almhour;
    u8  res7[3];
    u8  almdate;
    u8  res8[3];
    u8  almmon;
    u8  res9[3];
    u16 almyear;
    u8  res10[6];
    u8  bcdsec;
    u8  res12[3];
    u8  bcdmin;
    u8  res13[3];
    u8  bcdhour;
    u8  res14[3];
    u8  bcddate;
    u8  res15[3];
    u8  bcdday;
    u8  res16[3];
    u8  bcdmon;
    u8  res17[3];
    u16  bcdyear;
};


#endif
